JspTagException (JSP 3.1 API Documentation - Apache Tomcat 10.1.48)
Description: declaration: package: jakarta.servlet.jsp, class: JspTagException

# Class JspTagException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.jsp.JspException
jakarta.servlet.jsp.JspTagException

All Implemented Interfaces:
  `Serializable`

public class JspTagException extends JspException
Exception to be used by a Tag Handler to indicate some unrecoverable error. This error is to be caught by the top level of the JSP page and will result in an error page.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JspTagException()`
  Constructs a new JspTagException with no message.
  `JspTagException(String msg)`
  Constructs a new JspTagException with the specified message.
  `JspTagException(String message, Throwable rootCause)`
  Constructs a new JspTagException when the JSP Tag needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation, including a description message.
  `JspTagException(Throwable rootCause)`
  Constructs a new JSP Tag exception when the JSP Tag needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation.

- ## Method Summary

  ### Methods inherited from class JspException

  `getRootCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JspTagException

    public JspTagException(String msg)
    Constructs a new JspTagException with the specified message. The message can be written to the server log and/or displayed for the user.
    Parameters:
      `msg` - a `String` specifying the text of the exception message

  - ### JspTagException

    public JspTagException()
    Constructs a new JspTagException with no message.

  - ### JspTagException

    public JspTagException(String message, Throwable rootCause)
    Constructs a new JspTagException when the JSP Tag needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation, including a description message.
    Parameters:
      `message` - a `String` containing the text of the exception message
      `rootCause` - the `Throwable` exception that interfered with the JSP Tag's normal operation, making this JSP Tag exception necessary
    Since:
      JSP 2.0

  - ### JspTagException

    public JspTagException(Throwable rootCause)
    Constructs a new JSP Tag exception when the JSP Tag needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation. The exception's message is based on the localized message of the underlying exception.

    This method calls the `getLocalizedMessage` method on the `Throwable` exception to get a localized exception message. When subclassing `JspTagException`, this method can be overridden to create an exception message designed for a specific locale.

    Parameters:
      `rootCause` - the `Throwable` exception that interfered with the JSP Tag's normal operation, making the JSP Tag exception necessary
    Since:
      JSP 2.0